org.apache.lucene.luke.app.desktop.components.dialog.menubar

## Class AboutDialogFactory

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.dialog.menubar.AboutDialogFactory

All Implemented Interfaces:
  DialogOpener.DialogFactory

    public final class AboutDialogFactory
    extends Object
    implements DialogOpener.DialogFactory

Factory of about dialog

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`JDialog` `create(Window owner, String title, int width, int height)`
`static AboutDialogFactory` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static AboutDialogFactory getInstance()
                                          throws IOException

Throws:
  `IOException`

#### create

    public JDialog create(Window owner,
                          String title,
                          int width,
                          int height)

Specified by:
  `create` in interface `DialogOpener.DialogFactory`